%{!?python_abi:      %define python_abi      %(%{__python} -c "import sys; print sys.version[:3]")}
%{!?python_sitelib:  %define python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define pkg     emu
%define ver     0.2.0
%define rel     20110805


Summary:        A x86 shellcode emulation library
Name:           lib%{pkg}
Version:        %{ver}
Release:        0.1.%{rel}git%{?dist}%{?pext}
License:        GPL
Group:          System Environment/Libraries
Source0:        http://downloads.sourceforge.net/project/nepenthes/%{name}%20development/%{version}/%{name}-%{ver}-%{rel}.tar.gz
Patch0:         %{name}-0.2.0-install.patch
URL:            http://%{name}.carnivore.it/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         Paul Baecher, Markus Koetter <nepenthesdev@gmail.com>
BuildRequires:  python-devel >= 2.4 python-setuptools

%description
Libemu is a small library written in C offering basic x86 emulation and shell
code detection using GetPC heuristics. It is designed to be used within network
intrusion/prevention detections and honeypots.


%package        devel
Summary:        Development tools for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%package        progs
Summary:        Related programs for %{name}
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}

%description    progs
The %{name}-progs package contains several commandline tools for %{name}.


%package     -n python-%{name}
Summary:        Python bindings for %{name}
Group:          Development/Languages
Provides:       python(%{name}) = %{version}
Requires:       %{name} = %{version}-%{release}

%description -n python-%{name}
The python-%{name} package contains the Python bindings for %{name}.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	--enable-static \
	--enable-shared \
	--enable-lfs

%{__make} %{?_smp_mflags}

# Build Python bindings
pushd bindings/python
%{__python} -c 'import setuptools; execfile("setup.py")' build
popd


%check
pushd testsuite
./testsuite
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so.?

# Install Python bindings
pushd bindings/python
%{__python} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}
popd


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS CHANGES README
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{pkg}
%{_libdir}/%{name}.*a
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*.3*

%files progs
%defattr(-,root,root)
%{_bindir}/scprofiler
%{_bindir}/sctest

%files -n python-%{name}                           
%defattr(-,root,root)
%{python_sitearch}/%{name}.so
%{python_sitearch}/*.egg-info


%changelog
* Fri Aug 05 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.0-0.1.20110805git
- Initial build
